package com.songhua.system.service;

import java.util.List;
import com.songhua.system.domain.BasicCruiseShip;

/**
 * 游船Service接口
 * 
 * @author ruoyi
 * @date 2024-04-23
 */
public interface IBasicCruiseShipService 
{
    /**
     * 查询游船
     * 
     * @param id 游船主键
     * @return 游船列表
     */
    public BasicCruiseShip selectBasicCruiseShipById(Long id);

    /**
     * 查询游船列表
     * 
     * @param basicCruiseShip 游船
     * @return 游船集合
     */
    public List<BasicCruiseShip> selectBasicCruiseShipList(BasicCruiseShip basicCruiseShip);

    /**
     * 新增游船
     * 
     * @param basicCruiseShip 游船
     * @return 结果
     */
    public int insertBasicCruiseShip(BasicCruiseShip basicCruiseShip);

    /**
     * 修改游船
     * 
     * @param basicCruiseShip 游船
     * @return 结果
     */
    public int updateBasicCruiseShip(BasicCruiseShip basicCruiseShip);

    /**
     * 批量删除游船
     * 
     * @param ids 需要删除的游船主键集合
     * @return 结果
     */
    public int deleteBasicCruiseShipByIds(Long[] ids);

    /**
     * 删除游船信息
     * 
     * @param id 游船主键
     * @return 结果
     */
    public int deleteBasicCruiseShipById(Long id);

    public List<Long> selectDidList();

}
